Bug 826073 - [abrt] gcalctool-6.4.1.1-1.fc17: load_ecb_rates: Process /usr/bin/gcalctool was killed by signal 5 (SIGTRAP)
[abrt] gcalctool-6.4.1.1-1.fc17: load_ecb_rates: Process /usr/bin/gcalctool w...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gcalctool (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:476afdfebd1a65db62a06930106...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-29 10:16 EDT by Timothy Ward
Modified: 2012-12-17 21:31 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-17 21:31:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (6.45 KB, text/plain)
2012-05-29 10:17 EDT, Timothy Ward
no flags Details
File: maps (22.10 KB, text/plain)
2012-05-29 10:17 EDT, Timothy Ward
no flags Details
File: backtrace (25.17 KB, text/plain)
2012-05-29 10:17 EDT, Timothy Ward
no flags Details

  None (edit)
Description Timothy Ward 2012-05-29 10:16:58 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        gcalctool
crash_function: load_ecb_rates
executable:     /usr/bin/gcalctool
kernel:         3.3.7-1.fc17.i686.PAE
pid:            2182
time:           Wed 30 May 2012 12:02:34 AM EST
uid:            1000
var_log_messages: May 30 00:02:34 localhost abrt[2197]: Saved core dump of pid 2182 (/usr/bin/gcalctool) to /var/spool/abrt/ccpp-2012-05-30-00:02:34-2182 (39022592 bytes)

backtrace:      Text file, 25775 bytes
dso_list:       Text file, 6603 bytes
maps:           Text file, 22631 bytes

build_ids:
:9aea670864d2a34a222fd110376f7946b702de7c
:073a6e8be3691c9090d7e8063df1b719658a25a2
:9d0d384e15c03e0a8ee6e25ea9cff7c186087755
:0a1a8bf5237a71d763d23520783335c8fe6c31dd
:57d6de5ff5536ed125c804f036da93c46399c6e4
:e22e1e456283c0cdf171447a61c4f04e354f8b2a
:4bd9cd3a78fa841a2bcf0df8c7e838b80cccd5f3
:bef638b29fdf84e92e8f33383eb8adb175128188
:e0185ee9a89ad3f701e8fa2c658e242b453d4d2b
:92aaf9e3a33962226af01da69620e9be799859d4
:fdee2102114906bdbb7e74ee8aacdef49a828901
:3670523b476e491454ac140bc99524fe2e341b02
:38cca83f1479b6c765d41139cb7e4a3dfe659111
:62150f38cf11baa1966ed86cf2c4839bd029b0c8
:c48bdbb2542d5d7ce5b081f57915ca6164dd70b5
:0f22adfaabe11cef7a87e5cc3e66d522ec81800d
:fad91ac353e3532099b38d4dffada3e91cf97fa3
:72a78e5847730928a002fd2c9719c4258a54e265
:ccd17c03940a8cb54bb2f9c6f6d76626976fccf7
:c231c23d958aa42bb98f000cee5a9a11e090249d
:5b5557b5b0427930b220a00961393e29809c42f0
:4723ea68ac0f3366ffaefee6b60b82b1aa2ea5e4
:6827db64bf037f6de97ac9f37d50f32f343930a4
:848a04e2a6ce321422123dd4369d8fff2214d349
:1d6d247cb1c1dc86b34ab960d58c82d7cce35e15
:ebe3db66301a8fffd94c12739d8795d25b14288b
:ad9e27665744b5e0f27506032bcfd11acc11a16c
:e9363a6b468d459c7e4cb0d9757079106b3a882c
:9ed05e8e8a8b5707f28623112c1eea0ab4c2da77
:de77b9c1ea8f88712017f4d99ad3d86726f54023
:0192dd2785a5ee3ae8c4e920cb320c702385d4ef
:4917bcde22f3be7892a0289b37cf7dfc987c8474
:019e42ad205179335b27f2a79a873fda88ed21a3
:346c7f8a791cd1b7be07bfff6f849d658d506a17
:5ed22372ce6aa9cdeb91dab57c67156a2af5f0e4
:4c23c393ed8b8565bd8e90d5b57a868ba0ccfab3
:1dea598b16178f116893aef3af7688ef1b01edb9
:657bed8df5cfda1d7eb24a25a043cfbdf228b933
:8d3308331c237b31f5e500d73e249edd53676aec
:f13e5fa699a7129ee3080ddeb31558ef7578cddb
:cdf4a22ae78a77d387cfbba3d667dba692429114
:d44eca373263d7abb445ddd5bad3dafbccd8cfed
:25db3aa1d5ba511ce1f2615c8b5995285af564b1
:c8c155acc515416efd9d0e407ec2667e30f58083
:327661a5f401b69a985e63c374da3357fb7bd155
:c7112059d672dfb1b17ed4be88fa89f30b547841
:4937b91cce65df3c4281c4b6b8fc6af15cea1694
:c9666f5e43b3b03d782acadda76ae3074095c8a4
:0db1085b6f5f26681999bf8762e7374bb8179395
:dad101802a8cc388e26bf062f177530c0df9b7b1
:7f3c4b2fc7f49a8e50f936b1435bfcf785b29191
:d74e309f7f349388b9a030bf4a0fea06628bdffd
:2db83a4c3dc4ba607b77e73639ac847081193f8c
:3e8db068ebbfae69654767b42d9b0475c53121e7
:f33f4f69982b27f076e5f609f26aff70e2d3043e
:c25f4a34816c8918d5cce3f8b7a851948c6db023
:7e9d9994489152b4b37aa5bee934e9f2c8309a54
:030b5d1726ecd29df95bdeeff0b2d62043833fee
:77e07a84b8465cb07946ff3d6b8eea641b3e9677
:dcc657d139ae8e1376df57b844635277883e75b8
:9ff154685b04583c95ef0f393e8be81e3c51ca7b
:abcfe6b280fcee6f1f127d40d8f54e6b4d896f5a
:7468ba793c595989f2e6a123e4a2af42f38ef0fe
:1cd4f6965c72439a547cd22e0ade7f3cd72e744f
:acccee84fefeebf82dea74d95ce0369573298fe3
:b23f7b89bf3bebd443fa7cfdfa98b6e00c0f8d33

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/tim/2

core_backtrace:
:e22e1e456283c0cdf171447a61c4f04e354f8b2a 0x4ec01 g_logv libglib-2.0.so.0 -
:e22e1e456283c0cdf171447a61c4f04e354f8b2a 0x4ed48 g_log libglib-2.0.so.0 -
:dad101802a8cc388e26bf062f177530c0df9b7b1 0xba78 - [exe] -
:dad101802a8cc388e26bf062f177530c0df9b7b1 0xbbf0 - [exe] -
:dcc657d139ae8e1376df57b844635277883e75b8 0x67755 g_simple_async_result_complete libgio-2.0.so.0 -
:dcc657d139ae8e1376df57b844635277883e75b8 0x6787c - libgio-2.0.so.0 -
:e22e1e456283c0cdf171447a61c4f04e354f8b2a 0x44931 - libglib-2.0.so.0 -
:e22e1e456283c0cdf171447a61c4f04e354f8b2a 0x46f11 g_main_context_dispatch libglib-2.0.so.0 -
:e22e1e456283c0cdf171447a61c4f04e354f8b2a 0x47390 - libglib-2.0.so.0 -
:e22e1e456283c0cdf171447a61c4f04e354f8b2a 0x477f3 g_main_loop_run libglib-2.0.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x1859fd gtk_main libgtk-3.so.0 -
:dad101802a8cc388e26bf062f177530c0df9b7b1 0xa3ca main [exe] -

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 63959                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       63959                63959                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/tim/.xsession-errors
:pos:	18610
:flags:	02002
:2:/home/tim/.xsession-errors
:pos:	18610
:flags:	02002
:3:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[28327]
:pos:	0
:flags:	02004002
:6:socket:[41961]
:pos:	0
:flags:	02004002
:7:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:8:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:9:socket:[41962]
:pos:	0
:flags:	02004002
:10:socket:[28328]
:pos:	0
:flags:	02004002
:11:socket:[28329]
:pos:	0
:flags:	02004002
:12:socket:[44548]
:pos:	0
:flags:	02
:13:socket:[44549]
:pos:	0
:flags:	02004002
Comment 1 Timothy Ward 2012-05-29 10:17:04 EDT
Created attachment 587425 [details]
File: dso_list
Comment 2 Timothy Ward 2012-05-29 10:17:06 EDT
Created attachment 587426 [details]
File: maps
Comment 3 Timothy Ward 2012-05-29 10:17:09 EDT
Created attachment 587427 [details]
File: backtrace
Comment 4 Mason Curry 2012-06-11 03:20:14 EDT
I switched to financial calculator and it crashed.

backtrace_rating: 4
Package: gcalctool-6.4.2.1-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 5 Alex Wajda 2012-07-09 10:13:34 EDT
Switched the calc to the finance mode

backtrace_rating: 4
Package: gcalctool-6.4.2.1-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 6 Jamison Lofthouse 2012-09-09 02:34:34 EDT
When I was done with the Calculator I closed it but the computer marked it as a "unexpected crash".

backtrace_rating: 4
Package: gcalctool-6.4.2.1-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 7 Jamison Lofthouse 2012-09-09 02:41:27 EDT
(In reply to comment #6)
> When I was done with the Calculator I closed it but the computer marked it
> as a "unexpected crash".
> 
> backtrace_rating: 4
> Package: gcalctool-6.4.2.1-1.fc17
> OS Release: Fedora release 17 (Beefy Miracle)

Sorry the above comment was for another bug. I had this when I switched the calc from basic to financial.
Comment 8 HUGEL Christian 2012-09-28 10:54:48 EDT
Just changing mode of calc (from scientist to financial)

backtrace_rating: 4
Package: gcalctool-6.4.2.1-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 9 Fedora Update System 2012-11-29 07:58:35 EST
gcalctool-6.4.2.1-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/gcalctool-6.4.2.1-2.fc17
Comment 10 Fedora Update System 2012-12-01 03:37:53 EST
Package gcalctool-6.4.2.1-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gcalctool-6.4.2.1-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-19479/gcalctool-6.4.2.1-2.fc17
then log in and leave karma (feedback).
Comment 11 Fedora Update System 2012-12-17 21:31:57 EST
gcalctool-6.4.2.1-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.